<script setup lang="ts">
import UseStockCard from '@/components/UsestockComponent/UseStockCard.vue'
import { type Stock } from '@/types/Stock'
import { ref } from 'vue'

function selected(p: Stock) {
  emit('selected', p)
}

defineProps<{
  stocks: Stock[]
}>()

const emit = defineEmits<{
  selected: [stock: Stock]
}>()
</script>

<template>
  <div style="height: 620px; overflow-y: auto">
    <v-container fluid>
      <v-row>
        <v-col v-for="stock of stocks" :key="stock.id">
          <UseStockCard :stock="stock" @selected="selected"></UseStockCard>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
